com.trendmicro.ds.platform.rest.api

## Interface IScriptAPI

-     @Path(value="/scripts")
       @Produces(value="application/json")
       @Consumes(value="application/json")
      public interface IScriptAPI

  Interface to the Script API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListScriptsResponse` | `listScripts(java.lang.String sessionID, java.lang.Integer id, java.lang.String op, java.lang.Integer maxItems)` List scripts.

- - ### Method Detail

    - #### listScripts

          @GET
          ListScriptsResponse listScripts(@CookieParam(value="sID")
                                               java.lang.String sessionID,
                                               @QueryParam(value="id")
                                               java.lang.Integer id,
                                               @QueryParam(value="op")
                                               java.lang.String op,
                                               @QueryParam(value="maxItems")
                                               java.lang.Integer maxItems)
                                        throws java.lang.Exception

      List scripts.
      Parameters:
        `sessionID` - a session ID returned by the Authentication API.
        `id` - (optional) used to define the starting point for the query. Combine with `op` to page through results.
        `op` - (optional, required if `id` is specified) Currently supported operations are:
        - gt (greater than)
        - ge (greater than or equal to)
        - eq (equal to)
        - lt (less than)
        - le (less than or equal to)
        `maxItems` - (optional) the number of items to retrieve. The maximum value for this parameter is controlled by the "Maximum number of items to retrieve from database" setting on the administrator account, which defaults to 5000.
      Returns:
        a `ListScriptsResponse` with the list of scripts.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.